Page MenuHomePhabricator

Get rid of nginx puppetization for cache upload
Closed, ResolvedPublic

Description

Now that T231433 has been completed, we can get rid of the nginx puppetization for the cache upload cluster

Event Timeline

ema moved this task from Triage to TLS on the Traffic board.Oct 28 2019, 3:59 PM
ema triaged this task as Medium priority.Nov 12 2019, 4:46 PM

Change 566492 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] cache: Remove nginx from text and upload clusters

https://gerrit.wikimedia.org/r/566492

Change 566492 merged by Vgutierrez:
[operations/puppet@production] cache: Remove nginx from text and upload clusters

https://gerrit.wikimedia.org/r/566492

Change 566750 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] conftool: Add ats-tls service to text and upload clusters

https://gerrit.wikimedia.org/r/566750

Change 566750 merged by Vgutierrez:
[operations/puppet@production] conftool: Add ats-tls service to text and upload clusters

https://gerrit.wikimedia.org/r/566750

Change 566756 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] lvs: Switch from nginx to ats-tls service name on text & upload

https://gerrit.wikimedia.org/r/566756

Change 566756 merged by Vgutierrez:
[operations/puppet@production] lvs,ATS: Switch from nginx to ats-tls service name on text & upload

https://gerrit.wikimedia.org/r/566756

Mentioned in SAL (#wikimedia-operations) [2020-01-23T15:32:26Z] <vgutierrez> restarting secondary LVSs - T236120 T238625

Mentioned in SAL (#wikimedia-operations) [2020-01-23T15:45:54Z] <vgutierrez> restarting high-traffic1 && high-traffic2 primary LVSs - T236120 T238625

Change 566785 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] conftool: Remove nginx service from text and upload clusters

https://gerrit.wikimedia.org/r/566785

Change 566785 merged by Vgutierrez:
[operations/puppet@production] conftool: Remove nginx service from text and upload clusters

https://gerrit.wikimedia.org/r/566785

Vgutierrez closed this task as Resolved.Jan 23 2020, 4:25 PM

Change 567514 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] varnish: Use ats-tls instead of nginx on varnish-frontend-restart

https://gerrit.wikimedia.org/r/567514

Change 567514 merged by Vgutierrez:
[operations/puppet@production] varnish: Use ats-tls instead of nginx on varnish-frontend-restart

https://gerrit.wikimedia.org/r/567514

Change 584901 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] cache: update service restart scripts comments

https://gerrit.wikimedia.org/r/584901

Change 584901 merged by Ema:
[operations/puppet@production] cache: update service restart scripts comments

https://gerrit.wikimedia.org/r/584901